apiVersion: v1
kind: Service
metadata:
  name: {{ template "fullname" . }}
  labels:
    app: {{ template "appname" . }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}"
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  type: ClusterIP
  ports:
  - port: {{ .Values.service.externalPort }}
    targetPort: {{ .Values.service.internalPort }}
    protocol: TCP
    name: drupal
  selector:
    app: {{ template "appname" . }}
    tier: "{{ .Values.application.tier }}"
---
apiVersion: v1
kind: Service
metadata:
  name: basex
  labels:
    app: orlando
    component: basex
spec:
  type: ClusterIP
  ports:
  - port: 1984
    targetPort: 1984
    name: basex
  selector:
    app: orlando
    component: basex
